cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sateesh-chodapuneedi <...@git.apache.org>
Subject [GitHub] cloudstack pull request: CLOUDSTACK-8841: Storage XenMotion from X...
Date Thu, 21 Apr 2016 10:10:56 GMT
Github user sateesh-chodapuneedi commented on the pull request:

    https://github.com/apache/cloudstack/pull/815#issuecomment-212842765
  
    >>Currently UI does not allow migration between different versions, and changing
UI for this change is not elegant. 
    @priyankparihar 
    Why allow this only from API? If hypervisor allows migration from lower version to higher
version, then let the API that is supposed to find target hosts for migration pick all such
hosts. Per hypervisor documentation (both XenServer & VMware) migration is allowed from
lower to higher versions. In such case we should let the API `[findHostsForMigration API](https://cloudstack.apache.org/api/apidocs-4.2/root_admin/findHostsForMigration.html)`
list hosts with higher versions compared to source host.


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message